package com.ruoyi.asset.domain;

import java.util.List;
import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 入库管理对象 ams_inbound_order
 * 
 * @author Yangk
 * @date 2026-06-10
 */
public class AmsInboundOrder extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 单据ID */
    private Long orderId;

    /** 入库单号 */
    @Excel(name = "入库单号")
    private String inboundNo;

    /** 入库仓库ID */
    private Long warehouseId;

    /** 入库仓库编码快照 */
    private String warehouseCode;

    /** 入库仓库名称快照 */
    @Excel(name = "入库仓库名称快照")
    private String warehouseName;

    /** 入库人ID */
    private Long inboundUserId;

    /** 入库人名称快照 */
    @Excel(name = "入库人名称快照")
    private String inboundUserName;

    /** 入库时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @Excel(name = "入库时间", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    private Date inboundTime;

    /** 单据状态 */
    @Excel(name = "单据状态", dictType = "ams_inbound_status")
    private String orderStatus;

    /** 资产编码查询条件，不属于入库单主表字段 */
    private String assetCode;

    /** 删除标志：0存在，1删除 */
    private String delFlag;

    /** 入库单明细信息 */
    private List<AmsInboundOrderItem> amsInboundOrderItemList;

    public void setOrderId(Long orderId) 
    {
        this.orderId = orderId;
    }

    public Long getOrderId() 
    {
        return orderId;
    }

    public void setInboundNo(String inboundNo) 
    {
        this.inboundNo = inboundNo;
    }

    public String getInboundNo() 
    {
        return inboundNo;
    }

    public void setWarehouseId(Long warehouseId) 
    {
        this.warehouseId = warehouseId;
    }

    public Long getWarehouseId() 
    {
        return warehouseId;
    }

    public void setWarehouseCode(String warehouseCode) 
    {
        this.warehouseCode = warehouseCode;
    }

    public String getWarehouseCode() 
    {
        return warehouseCode;
    }

    public void setWarehouseName(String warehouseName) 
    {
        this.warehouseName = warehouseName;
    }

    public String getWarehouseName() 
    {
        return warehouseName;
    }

    public void setInboundUserId(Long inboundUserId) 
    {
        this.inboundUserId = inboundUserId;
    }

    public Long getInboundUserId() 
    {
        return inboundUserId;
    }

    public void setInboundUserName(String inboundUserName) 
    {
        this.inboundUserName = inboundUserName;
    }

    public String getInboundUserName() 
    {
        return inboundUserName;
    }

    public void setInboundTime(Date inboundTime) 
    {
        this.inboundTime = inboundTime;
    }

    public Date getInboundTime() 
    {
        return inboundTime;
    }

    public void setOrderStatus(String orderStatus) 
    {
        this.orderStatus = orderStatus;
    }

    public String getOrderStatus() 
    {
        return orderStatus;
    }

    public void setAssetCode(String assetCode)
    {
        this.assetCode = assetCode;
    }

    public String getAssetCode()
    {
        return assetCode;
    }

    public void setDelFlag(String delFlag) 
    {
        this.delFlag = delFlag;
    }

    public String getDelFlag() 
    {
        return delFlag;
    }

    public List<AmsInboundOrderItem> getAmsInboundOrderItemList()
    {
        return amsInboundOrderItemList;
    }

    public void setAmsInboundOrderItemList(List<AmsInboundOrderItem> amsInboundOrderItemList)
    {
        this.amsInboundOrderItemList = amsInboundOrderItemList;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("orderId", getOrderId())
            .append("inboundNo", getInboundNo())
            .append("warehouseId", getWarehouseId())
            .append("warehouseCode", getWarehouseCode())
            .append("warehouseName", getWarehouseName())
            .append("inboundUserId", getInboundUserId())
            .append("inboundUserName", getInboundUserName())
            .append("inboundTime", getInboundTime())
            .append("orderStatus", getOrderStatus())
            .append("assetCode", getAssetCode())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("remark", getRemark())
            .append("delFlag", getDelFlag())
            .append("amsInboundOrderItemList", getAmsInboundOrderItemList())
            .toString();
    }
}
